using System;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("AuditDetail")]
    public partial class AuditDetail
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long AuditDetailID { get; set; }

        [ForeignKey("AuditMaster")]
        public long AuditID { get; set; }

        [StringLength(50)]
        public string FieldName { get; set; }
        public string OldValue { get; set; }
        public string NewValue { get; set; }
        [Required]
        [StringLength(200)]
        public string CreatedBy { get; set; }
        [Required]
        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

        public virtual AuditMaster AuditMaster { get; set; }
    }
}
